## SPDX-License-Identifier: GPL-3.0-or-later
## Copyright (c) 2024 interstellardevelopment.org

extends Control

func _ready() -> void:
	($VBoxContainer/UsernameHBox/LineEdit as LineEdit).text = Game.username
	($VBoxContainer/RoomnameHBox/LineEdit as LineEdit).text = Game.roomname
	if ($VBoxContainer/SendButton as Button).pressed.connect(_on_send_button_pressed):
		pass

func _on_send_button_pressed() -> void:
	Game.username = ($VBoxContainer/UsernameHBox/LineEdit as LineEdit).text
	Game.roomname = ($VBoxContainer/RoomnameHBox/LineEdit as LineEdit).text
	Networking.join_room()
