extends Control

func _ready() -> void:
	if ($VBoxContainer/Join as Button).pressed.connect(_on_join_clicked):
		pass
	if ($VBoxContainer/Settings as Button).pressed.connect(_on_settings_clicked):
		pass

func _on_join_clicked() -> void:
	if get_tree().change_scene_to_file("res://scenes/ui/create_room.tscn") != OK:
		Log.error("Couldn't change to the create room scene! Closing application.", "Couldn't change to the create room scene!")

func _on_settings_clicked() -> void:
	if get_tree().change_scene_to_file("res://scenes/ui/settings.tscn") != OK:
		Log.error("Couldn't change to the settings scene! Closing application.", "Couldn't change to the settings scene!")
